// ----------------------------------------------------------------------------
// BullsEye.java
// painting a bull's eye
// 
// Author:  Wolfgang Schreiner <Wolfgang.Schreiner@fhs-hagenberg.ac.at>
// Created: August 20, 2001
// ----------------------------------------------------------------------------

import kwm.*;
import java.awt.*;

public class BullsEye 
{
  // -------------------------------------------------------------------------
  // paints a bull's eye, i.e., a disk of radius RADIUS
  // of concentric black and white circles of width WIDTH.
  // the innermost circle is painted red.
  // -------------------------------------------------------------------------
  public static void main(String[] args)
  {
    final int RADIUS = 100;   // disk radius
    final int WIDTH = 15;     // width of each circle drawn
    final int MID_X = RADIUS; // x coordinate of center
    final int MID_Y = RADIUS; // y coordinate of center

    Drawing.begin("Bull's Eye", 2*RADIUS, 2*RADIUS);

    boolean black = true;     // next color drawn

    int radius = 0;           // we retain radius for last circle

    // draw alternating circles of black and white 
    // starting with outermost circle with radus = RADIUS
    // iteratively shrink radius by WIDTH until radius <= WIDTH
    for (radius = RADIUS; radius > WIDTH; radius -= WIDTH)
    {
      // set color, switch to other color
      if (black)
      {
        Drawing.graphics.setColor(Color.black);
        black = false;
      }
      else
      {
        Drawing.graphics.setColor(Color.white);
        black = true;
      }

      // draw circle of denoted radius with center (MID_X, MID_Y)
      Drawing.graphics.fillOval(MID_X-radius, MID_Y-radius, 2*radius, 2*radius);
    }

    // draw red center circle
    Drawing.graphics.setColor(Color.red);
    Drawing.graphics.fillOval(MID_X-radius, MID_Y-radius, 2*radius, 2*radius);

    Drawing.end();
  }
}
